Retrieve a video task

get/v1/videos/{task_id}

OpenAI-compatible endpoint that returns detailed status for a video task.

Authentication

Send your OLETOKEN API key as a Bearer token. Keys are created on the API Keys page of the console.

Authorization: Bearer $OLETOKEN_API_KEY

Parameters

FieldTypeRequiredDescription
task_idpathstringVideo task ID

Responses

200Video task status retrieved

FieldTypeRequiredDescription
idstring
objectstring
modelstring
statusstring
progressinteger
created_atinteger
secondsstring

404Task not found

FieldTypeRequiredDescription
errorobject
messagestringError message
typestringError type
paramstring | nullThe parameter involved
codestring | nullError code

Example request

curl -X GET 'https://api.oletoken.ai/v1/videos/{task_id}' \
  -H "Authorization: Bearer $OLETOKEN_API_KEY"